2017-09-13  Murray Cumming  <murrayc@murrayc.com>

	3.22.2

2017-07-11  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	Gtk::PrintJob: Fix a call to Glib::throw_exception()

	Glib::throw_exception(GError*) takes ownership of the GError.
	SignalProxy_Custom_gtk_callback() must give a copy to throw_exception().

2017-07-06  Daniel Boles  <dboles@src.gnome.org>

	Gdk::RGBA: Update ctor(ustring) docs from GTK+

	https://bugzilla.gnome.org/show_bug.cgi?id=784483

2017-06-27  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	Gtk::Editable, RecentChooser, Scale: Fix memory leaks

	Editable::get_chars_vfunc(), RecentChooser::get_current_uri_vfunc() and
	Scale::signal_format_value() shall delete the returned character array
	after it has been copied to a Glib::ustring. Bug 783360

2017-06-23  Murray Cumming  <murrayc@murrayc.com>

	3.22.1

2017-06-03  Daniel Boles  <dboles@src.gnome.org>

	convert_gtk.m4: Remove redundant conversions

	These are already defined in convert_glib.m4, which is included as-is.

	https://bugzilla.gnome.org/show_bug.cgi?id=783136

2017-06-03  Daniel Boles  <dboles.src@gmail.com>

	gtk-demo/demowindow: Remove unnecessary null check

	There is no way that the pointer d can become null here.

2017-05-26  Daniel Boles  <dboles.src@gmail.com>

	gtk-demo: Use #include <blah> for system headers

	including our own and those from the stdlibs. This is more idiomatic, so
	it makes for better example code to show users.

2017-05-26  Daniel Boles  <dboles.src@gmail.com>

	gtk-demo/example_headerbar: Remove an old comment

	Nearly 3 years later, I think we can safely assume these icons are
	available on the end-user’s system.

2017-05-26  Daniel Boles  <dboles@src.gnome.org>

	gtk-demo/demowindow: Order #includes correctly

	in the spirit of
	https://git.gnome.org/browse/gtk+/tree/docs/CODING-STYLE#n458

	“Every file must include config.h first, then its own header, then other
	GTK+ headers that it needs, then system and third-party headers that it
	needs.”

	For the “other GTK+ headers” part, I took the liberty of using the order
	I normally follow, which is GLib headers followed by GIO ones followed
	by GTK+ ones. I use this as it follows their order in the software stack

2017-05-26  Daniel Boles  <dboles.src@gmail.com>

	gtk-demo/demowindow: Use size_t to index in arrays

	int or unsigned int are not guaranteed to be wide enough. Of course,
	that will not matter in many practical cases, but it is better style to
	always use std::size_t when the purpose is to index into an array.

2017-05-26  Daniel Boles  <dboles@src.gnome.org>

	gtk-demo/demowindow: Use auto

2017-05-26  Daniel Boles  <dboles@src.gnome.org>

	gtk-demo: Don’t remove_page() with invalid index

	The decrement was in the iteration expression, so it happened after the
	loop body. So on the first iteration, this would call remove_page() with
	i == get_n_pages(), which is of course 1 past the maximal allowed index.

2017-05-10  Daniel Boles  <dboles.src@gmail.com>

	TreeView: Remove an obsolete comment

	Commit 4504487c7 replaced the old C syntax (void*)0 with nullptr but did
	not remove this comment, which referred to the original cast expression.

2017-05-10  Daniel Boles  <dboles@src.gnome.org>

	Box: Fix comments on constructor

	• typo in internal comment
	• wrong claim that it always creates a horizontal Box in documentation
	comment – looks like a copy-and-paste error from the HBox/VBox days.

2017-05-10  Daniel Boles  <dboles.src@gmail.com>

	CellLayout: Improve docs of get_first_cell() funcs

	They included the line “This assumes that the CellLayout contains only
	one CellRenderer.” But that doesn’t matter: these methods always return
	the first cell, without caring whether there are any others, and thus
	users can call them without caring too. So, that comment had no purpose.

	Also, these are ‘safe’ to call for Layouts containing no cells, in the
	sense that they will return nullptr, so we might as well clarify that.

2017-05-10  Daniel Boles  <dboles.src@gmail.com>

	TreeModel: Improve docs of foreach*() functions

	• Fix example slots to have the correct bool return type; they were void
	• Don’t use example as 1st paragraph as it ends with ;. which looks odd
	• Open by explaining what the typedef is for, with link to its foreach()
	• For each foreach*(), name and link to its type of slot in the comment
	• Use the actual function name in each case, instead of always foreach()

2017-03-27  Daniel Boles  <dboles@src.gnome.org>

	FileChooserDialog: Use static_cast, not C cast

	static_cast is better C++ style and safer due to compile-time checking.

	https://bugzilla.gnome.org/show_bug.cgi?id=780004

2017-03-27  Daniel Boles  <dboles@src.gnome.org>

	FileChooserDialog: Drop unneeded explicit on ctor

	This is only useful to us if the constructor can be invoked with one
	argument (i.e. it only has 1, or the subsequent have default values).
	That is not true here, so the explicit keyword is a semantic mistake.

	https://bugzilla.gnome.org/show_bug.cgi?id=780004

2017-03-27  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gtk::FileChooserDialog: Deprecate ctors with backend parameter

	gtk_file_chooser_dialog_new_with_backend() was deprecated in gtk+ 2.14
	and removed in gtk+-3. The corresponding ctors in FileChooserDialog should
	have been removed in gtkmm-3.

2017-02-02  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gdk::Window: Deprecate process[_all]_updates()

	gdk_window_process_all_updates() and gdk_window_process_updates()
	have been deprecated in gtk+-3.

2017-01-04  Chun-wei Fan  <fanchunwei@src.gnome.org>

	Visual Studio builds: Fix projects

	Add the missed source files and headers for the projects and
	"installation".

2016-12-31  Daniel Boles  <dboles@src.gnome.org>

	label.ccg: update align args to match doc fix @ hg

	https://bugzilla.gnome.org/show_bug.cgi?id=774652

2016-11-21  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gtk::Frame: Fix the documentation of set_label_align()

	Bug 774249

2016-11-19  djb  <db0451@gmail.com>

	Label: improve h/valign constructor doc comment

	https://bugzilla.gnome.org/show_bug.cgi?id=774652

2016-11-19  djb  <db0451@gmail.com>

	Label(): don't use misleading align argument names

	These arguments are forwarded to set_halign() and set_valign(), yet they
	were named xalign and yalign, which is especially confusing because
	Label already has completely separate xalign and yalign properties.
	This could lead to users getting confused when they think they're
	setting one of these pairs of properties but actually setting the other.

	https://bugzilla.gnome.org/show_bug.cgi?id=774652

2016-11-05  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gtk::Widget: Deprecate is_composited() and signal_composited_changed()

	because they are deprecated in gtk+-3. Bug #773642.

2016-10-31  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Deprecate API which is deprecated in gtk+-3

	* gdk/src/screen.[ccg|hg]:
	* gdk/src/visual.hg:
	* gdk/src/window.hg:
	* gtk/src/menu.[ccg|hg]:
	* gtk/src/widget.hg:
	* gtk/src/window.hg: Deprecate many methods.
	* gtk/src/container.hg: Deprecate property_child(). Bug #773642.

2016-10-31  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	GtkMainConnectionNode: Remove unused method

	* gtk/src/main.ccg: destroy_notify_handler() in the local GtkMainConnectionNode
	class is not used. gcc 6.2 reports that as an error when building
	with --enable-warnings=fatal. Remove the unused method.

2016-09-22  Murray Cumming  <murrayc@murrayc.com>

	Gdk::Pixbuf: Add commented-out get_pixels(length&) with TODO.

	We can uncomment this after we branch.

2016-09-20  Murray Cumming  <murrayc@murrayc.com>

	3.22.0

2016-09-14  Murray Cumming  <murrayc@murrayc.com>

	3.21.6

2016-09-14  Murray Cumming  <murrayc@murrayc.com>

	ScrolledWindow: Added get/set_propagate_natural_height/width().

	And the properties.

2016-09-14  Murray Cumming  <murrayc@murrayc.com>

	Gdk::PixbufFormat: Added is_save_option_supported().

2016-09-14  Murray Cumming  <murrayc@murrayc.com>

	Gdk::Pixbuf: Add copy_options().

2016-09-14  Murray Cumming  <murrayc@murrayc.com>

	Pixbuf: Add set_option() and remove_option().

	gdk_pixbuf_set_option() was previously for use only in backend code,
	but now it is available to client code too:
	https://git.gnome.org/browse/gdk-pixbuf/commit/gdk-pixbuf/gdk-pixbuf-core.h?id=6b75ef95f5d26a2958b77c00a7f7cc22e74cb36c

2016-09-12  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gtk::TreeNodeChildren: Deprecate the reverse iterator

	* gtk/src/treeiter.hg:
	* gtk/src/treemodel.hg: Deprecate Gtk::TreeNodeChildren::reverse_iterator.
	It has never worked and it's difficult to fix. Even if fixed, it would
	probably be used very seldom. Bug #554889

2016-09-10  Murray Cumming  <murrayc@murrayc.com>

	Regenerate *docs.xml files.

2016-09-10  Murray Cumming  <murrayc@murrayc.com>

	Regenerate gtk .defs.

2016-09-10  Murray Cumming  <murrayc@murrayc.com>

	Regenerate gdk .defs.

2016-08-19  Murray Cumming  <murrayc@murrayc.com>

	Popover: Add popup() and popupdown().

	Deprecating get/set_transitions_enabled().

2016-08-19  Murray Cumming  <murrayc@murrayc.com>

	Regenerate GTK+ .defs.

2016-08-11  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gtk::Clipboard::wait_for_uris(): Fix the documentation

	The description of the return value was not very good, when it was copied
	from the gtk+ doc, and it got worse when gmmproc started removing
	sentences with "g_strfreev".

2016-08-07  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gtk::RadioMenuItem, RadioToolButton: Add join_group()

	* demos/gtk-demo/example_iconbrowser.cc: Use join_group().
	* gtk/src/radiobutton.hg: Add property_group().
	* gtk/src/radiomenuitem.[ccg|hg]:
	* gtk/src/radiotoolbutton.[ccg|hg]: Add join_group(), constructors without
	a RadioButtonGroup parameter, and property_group(). Bug #769374

2016-08-05  Murray Cumming  <murrayc@murrayc.com>

	Tiny whitespace change.

2016-08-01  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Add the Gtk::ShortcutLabel widget

	* .gitignore: Add new generated .h and .cc files.
	* gtk/gtkmm.h: Add the shortcutlabel.h file.
	* gtk/src/filelist.am: Add the shortcutlabel.hg file.
	* gtk/src/shortcutlabel.[hg|ccg]: New files.

2016-08-01  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Regenerate gtk_signals.defs

	tools/extra_defs_gen/generate_defs_gtk.cc: Add GTK_TYPE_SHORTCUT_LABEL.
	gtk/src/gtk_signals.defs: Regenerate.

2016-08-01  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gtk::FileChooser, Menu, ScrolledWindow: Wrap new methods

	* gtk/src/filechooser.[ccg|hg]: Add the 'choice' methods.
	* gtk/src/menu.hg: Add popped_up_*() methods and signal, and new properties.
	* gtk/src/scrolledwindow.hg: Add max_content_width/height() methods and
	properties.
	* gtk/src/targetlist.hg: _IGNORE(gtk_target_list_add_table). It has been
	wrapped in a hand-coded method for a long time.

2016-08-01  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gtk: Regenerate docs.xml and the .defs files

2016-08-01  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Wrap enum GdkAnchorHints

	enum Gtk::AnchorHints is used in a new property in Gtk::Menu.

2016-08-01  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gdk: Regenerate docs.xml and the .defs files

2016-07-21  Murray Cumming  <murrayc@murrayc.com>

	3.21.4

2016-07-18  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Build: Fix silent builds

	* configure.ac: Pass yes to AM_SILENT_RULES, thus enabling silent builds.
	* docs/reference/Doxyfile.in: Set QUIET=YES.
	Update for doxygen 1.8.11 (not necessary for silent builds).
	Bug #768797

2016-07-16  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Improve the documentation of deprecation

	Improve the documentation of replacements for the deprecated classes
	Gtk::UIManager, ActionGroup, Activatable, RadioAction, RecentAction and
	ToggleAction. Gtk::Action was well documented in the previous commit.
	Bug #768573.

2016-07-13  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Deprecate Gtk::UIManager, Gtk::Action etc.

	Deprecate Gtk::UIManager, Gtk::Action (almost), ActionGroup,
	Activatable (almost), RadioAction, RecentAction and ToggleAction.
	The corresponding gtk+ classes have been deprecated since gtk+ 3.10.
	Activatable can't be completely deprecated because it's a base class of some
	widgets. Gtk::Action can't be completely deprecated (at least not without
	complications) because it's used in virtual methods in Activatable.
	Bug #768573.

2016-06-30  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gtk::FlowBox, ListBox: Include glibmm/exceptionhandler.h

	That's where Glib::exception_handlers_invoke() is declared.

2016-06-30  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gtk::FlowBox, ListBox: Add bind_model() and bind_list_store()

	Most of ListBox::bind_model() by Murray Cumming <murrayc@murrayc.com>
	Bug #755149

2016-06-29  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	ApplicationWindow: Define it as a _CLASS_GTKOBJECT

	By mistake, ApplicationWindow has been defined as a _CLASS_GOBJECT.
	Define it as a _CLASS_GTKOBJECT, and add some temporary (until ABI-break)
	fixes in order not to break ABI. Bug #767951

2016-06-29  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	class_gtkobject.m4: Add _CUSTOM_WRAP_FUNCTION and _NO_WRAP_FUNCTION

	* tools/m4/class_gtkobject.m4: Make it possible to use _CUSTOM_WRAP_FUNCTION
	and _NO_WRAP_FUNCTION in a _CLASS_GTKOBJECT, like in _CLASS_GOBJECT.
	Bug #767951

2016-06-27  Murray Cumming  <murrayc@murrayc.com>

	3.21.3

2016-06-26  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gtk::ScrolledWindow: Deprecate remove_with_viewport()

	* gtk/src/bin.[ccg|hg]: Bin::remove() calls Container::remove().
	* gtk/src/container.[ccg|hg]: Container::add() and Container::remove() handle
	all the complications with an added Viewport in a ScrolledWindow.
	* gtk/src/scrolledwindow.[ccg|hg]: Deprecate remove_with_viewport() in favour
	of remove().
	* gtk/src/gtk_docs_override.xml: Move the description of gtk_container_remove()
	to container.hg.

	The fix of gtk+ bug 710471 has made gtk_scrolled_window_remove() smart enough
	to destroy a GtkViewport that gtk_scrolled_window_add() has created.
	A call to gtk_container_remove() now does all that remove_with_viewport()
	used to do. Bug #685739.

2016-06-22  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gtk::AppChooserDialog, FontChooserDialog: Add _UNMANAGEABLE

	Add _UNMANAGEABLE to top-level windows that lack it.
	https://mail.gnome.org/archives/gtkmm-list/2016-June/msg00017.html

2016-06-21  Chun-wei Fan  <fanchunwei@src.gnome.org>

	Visual Studio builds: Update gdkmm project

	Add the newly added sources so that gdkmm can build and link properly.

	Also "install" the newly-added headers.

2016-06-16  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gdk::Window, Gtk::Widget: Deprecate and add

	* gdk/src/window.[hg|ccg]: Deprecate begin_paint_rect(), begin_paint_region(),
	end_paint() and create_cairo_context(). Add begin_draw_frame() and
	end_draw_frame() which use the new Gdk::DrawingContext.
	* gtk/src/widget.hg: Deprecate send_expose().

2016-06-16  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Add Gdk::DrawingContext

	* .gitignore: Add gdk/gdkmm/drawingcontext.[h|cc].
	* gdk/gdkmm.h: Add drawingcontext.h.
	* gdk/src/filelist.am: Add drawningcontext.hg.
	* gdk/src/drawingcontext.[hg|ccg]: New files.
	* tools/m4/convert_gdk.m4: Add conversions for Gdk::DrawingContext.

2016-06-16  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	gdk: Regenerate docs.xml and .defs files

	* gdk/src/gdk_docs.xml:
	* gdk/src/gdk_enums.defs:
	* gdk/src/gdk_methods.defs:
	* gdk/src/gdk_signals.defs: Regenerated.
	* gdk/src/gdk_extra_objects.defs: Add GdkDrawingContext.
	* tools/extra_defs_gen/generate_defs_gdk.cc: Add GDK_TYPE_DRAWING_CONTEXT.

2016-06-08  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gtk::RecentManager, TreeModel: Add _IGNORE() directives

2016-06-08  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	tools/gen_scripts: Exclude gdkinternals.h from the .defs files

	* tools/gen_scripts/gdk_generate_enums.sh:
	* tools/gen_scripts/gdk_generate_methods.sh: Exclude gtk+/gdk/gdkinternals.h
	when gdk_enums.defs and gdk_methods.defs are generated.

2016-06-03  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gtk::SizeGroup: Deprecate set/get/property_ignore_hidden()

2016-05-30  Murray Cumming  <murrayc@murrayc.com>

	3.21.2

2016-05-29  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gtk::Clipboard, GLArea, ShortcutsShortcut: Add new methods and properties

	* gtk/src/clipboard.hg: Add get_selection().
	* gtk/src/glarea.hg: Add set/get_use_es() and property_use_es().
	* gtk/src/shortcutsshortcut.hg: Add property_action_name().
	These methods and properties are new in gtk+ 3.22.

2016-05-29  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gtk: Regenerate gtk_docs.xml and .defs files

2016-05-28  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gdk::GLContext: Add set/get_use_es()

2016-05-28  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gdk::Device: Add get_axes(), signal_changed() and many properties

	* gdk/src/device.hg: Add get_axes(), signal_changed() and many properties,
	both old ones and the new property_axes().
	* gdk/src/event.hg: Add enum AxisFlags.
	* tools/m4/convert_gdk.m4: Add conversions for enum AxisFlags.

2016-05-27  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gdk::Display: Add methods and signals related to Gdk::Monitor

2016-05-27  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Add Gdk::Monitor

	* .gitignore: Add monitor.[h|cc].
	* gdk/gdkmm.h: Add monitor.h.
	* gdk/src/filelist.am: Add monitor.hg.
	* gdk/src/monitor.[hg|ccg]: New files.
	* tools/m4/convert_gdk.m4: Add conversions for GdkMonitor and GdkSubpixelLayout.

2016-05-27  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gdk: Regenerate docs.xml and .defs files

	* tools/extra_defs_gen/generate_defs_gdk.cc: Add GDK_TYPE_MONITOR.
	* gdk/src/gdk_extra_objects.defs: Add GdkMonitor
	* gdk/src/gdk_docs.xml:
	* gdk/src/gdk_enums.defs:
	* gdk/src/gdk_methods.defs:
	* gdk/src/gdk_pixbuf_methods.defs:
	* gdk/src/gdk_signals.defs: Regenerate.

2016-05-27  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gdk::DeviceManager docs: Superseded by Gdk::Seat

	Mention in the class documentation that Gdk::Seat should be preferred
	in new code. This kind of "semi-deprecation" is used in gtk+.

2016-05-22  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	HeaderBar demo: Use the pan-start-symbolic and pan-end-symbolic icons

	These icons have been around for about two years now. They should be
	available in most systems.

2016-05-16  Murray Cumming  <murrayc@murrayc.com>

	Remove trailing whitespace.

2016-05-14  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	ButtonBox demo: Enable mnemonics in the buttons

	Add mnemonic=true to the button constructors. Bug #766228.

2016-05-08  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Fix "make check" after deprecations

2016-05-08  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gdk::Display, Gdk::Visual: Deprecate methods which are deprecated in gtk+

2016-05-01  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gtk::TreeView::unset_rows_drag_dest(): Fix the documentation

2016-04-28  Murray Cumming  <murrayc@murrayc.com>

	PrintSettings: Make create_*() from public, not protected.

	Noticed by Phil Wolff.

2016-04-25  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gdk::Window::create_gl_context(): Remove refreturn

	gdk_window_create_gl_context() gives the caller a reference. Then refreturn
	in _WRAP_METHOD() will most probably cause a memory leak.

2016-04-25  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gtk::GLArea: Better fix of refcount in signal_create_context()

	gtk/src/glarea.hg: Use unwrap_copy() to unwrap RefPtr<Gdk::GLContext>
	instead of taking an extra reference in wrap(). It saves C++ signal handlers
	from an unintuitive need to take an extra reference.

2016-04-24  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gtk::GLArea: Fix refcount in signal_create_context()

	gtk/src/glarea.hg: wrap() must take a reference on the GdkGLContext object
	in signal_create_context().

	Noticed by Bill McGrory <wdmcgrory@gmail.com> in
	https://mail.gnome.org/archives/gtkmm-list/2016-April/msg00022.html

2016-04-14  Murray Cumming  <murrayc@murrayc.com>

	NEWS: Minor correction.

2016-04-14  Murray Cumming  <murrayc@murrayc.com>

	Slight whitespace change.

2016-04-14  Murray Cumming  <murrayc@murrayc.com>

	TreeView: _auto_store_on_cellrenderer_text_edited_numerical():

	Catch the exception from std::stod().
	This is a regression since version 3.17.80:
	https://git.gnome.org/browse/gtkmm/commit/gtk/src/treeview.hg?id=fcc0f358d17264f8956567a33471a6b52c2fc0d1
	Bug #765044 (Justinas)

2016-04-10  Murray Cumming  <murrayc@murrayc.com>

	C++11: Deprecate operator void*(), replacing them with explicit operator bool().

	See https://bugzilla.gnome.org/show_bug.cgi?id=626858#c4

2016-04-02  Murray Cumming  <murrayc@murrayc.com>

	C++11: generate_cellrenderer(): Use auto.

2016-03-28  Murray Cumming  <murrayc@murrayc.com>

	3.20.0

2016-03-28  Murray Cumming  <murrayc@murrayc.com>

	Regenerate docs.xml files.

2016-03-28  Murray Cumming  <murrayc@murrayc.com>

	Update .defs.

2016-03-28  Murray Cumming  <murrayc@murrayc.com>

	Require glibmm 2.48.0

2016-03-21  Murray Cumming  <murrayc@murrayc.com>

	Require gtk+ 2.20.0

2016-03-18  Murray Cumming  <murrayc@murrayc.com>

	3.19.12

2016-03-11  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gtk: Add properties and a method

	* gtk/src/colorbutton.hg: Add property_show_editor()
	* gtk/src/settings.hg: Add property_gtk_keynav_use_caret().
	* gtk/src/textview.hg: Add reset_cursor_blink().

2016-03-11  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gtk: Deprecate properties which are deprecated in gtk+

	* gtk/src/cellrenderertoggle.hg: Deprecate property_indicator_size().
	* gtk/src/container.hg: Deprecate property_resize_mode().
	* gtk/src/entry.hg: Deprecate property_shadow_type().
	* gtk/src/expander.hg: Deprecate property_spacing().
	* gtk/src/stylecontext.hg: Deprecate property_direction().

2016-03-11  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gtk::PlacesSidebar: Add new signals and property

	* gtk/src/placessidebar.[ccg|hg]: Deprecate property_show_other_locations().
	Add property_show_other_locations_with_flags(), signal_mount() and
	signal_unmount().

2016-03-11  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Regenerate gtk_docs.xml

2016-03-11  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Regenerate gtk_signals.defs.patch and gtk_signals.defs

	with deprecation information in gtk_signals.defs.

2016-03-10  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Fix "make check" after sigc::mem_fun(pointer,func) was deprecated

2016-03-10  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	gdk_generate_extra_defs.sh: Avoid translation of documentation

	Don't let tools/extra_defs_gen/generate_defs_gdk put translated
	documentation into the gdk_signals.defs file.

2016-03-10  Chun-wei Fan  <fanchunwei@src.gnome.org>

	MSVC builds: Update for shortcuts widgets

	We are now adding the shortcuts widgets to GTKMM, so make sure they and the
	corresponding demo program are built.

2016-03-10  Chun-wei Fan  <fanchunwei@src.gnome.org>

	MSVC builds: Look for headers in include/gio-win32-2.0 as well

	At some point gio.h is going to include headers from there, so make sure
	that we do look for headers there.

2016-03-08  Murray Cumming  <murrayc@murrayc.com>

	CellRendererProgress:_property_renderable(): Avoid infinite loop.

	Found by clang++.

2016-03-04  Murray Cumming  <murrayc@murrayc.com>

	3.19.11

2016-03-03  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gtk::ApplicationWindow: Add set/unset/get_help_overlay()

2016-03-03  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Add Shortcuts Window demo

	* demos/Makefile.am:
	* demos/gtk-demo/demo.gresource.xml: Add new files.
	* demos/gtk-demo/demos.h: Add new demo.
	* demos/gtk-demo/example_shortcuts.cc:
	* demos/gtk-demo/example_shortcuts*.ui: New files.
	This demo is identical to a demo in gtk+. The .ui files have been copied from
	gtk+/demos/gtk-demo with very small changes.

2016-03-03  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Add Gtk::Shortcuts* widgets

	* .gitignore: Add new generated .h and .cc files.
	* gtk/gtkmm.h: Add new .h files.
	* gtk/src/filelist.am: Add new .hg files.
	* tools/m4/convert_gtk.m4: Add conversions for the ShortcutType enum and
	the ShortcutsWindow widget.
	* gtk/src/shortcuts*.[hg|ccg]: New files.

2016-03-03  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Regenerate gtk_signals.defs.patch and gtk_signals.defs

	* tools/extra_defs_gen/generate_defs_gtk.cc: Add get_defs(GTK_TYPE_SHORTCUTS_*)
	and get_child_properties(GTK_TYPE_OVERLAY).
	* gtk/src/gtk_signals.defs:
	* gtk/src/gtk_signals.defs.patch: Regenerated.
	The new parameter in GtkPlacesSidebar::show-other-locations is not included.
	That change will probably be reverted. See gtk+ bug #754743.

2016-03-03  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Button, ComboBox, FileChoooserButton: Hand-code property_focus_on_click()

	The focus-on-click property has been removed from GtkButton, GtkComboBox
	and GtkFileChooserButton, and replaced by GtkWidget:focus-on-click.
	See gtk+ bug #757269.
	It would be an ABI-break to remove them in gtkmm. _WRAP_PROPERTY() can't
	generate code for them, when they have been removed from gtk_signals.defs.
	Hand-code them until the next ABI-break.

2016-03-01  Murray Cumming  <murrayc@murrayc.com>

	Misc: Mention non-deprecated get/set_margin_*() in docs.

2016-02-29  Murray Cumming  <murrayc@murrayc.com>

	Range: Deprecate get/set_min_slider_size().

2016-02-29  Murray Cumming  <murrayc@murrayc.com>

	Partially regenerate GTK .defs.

2016-02-29  Murray Cumming  <murrayc@murrayc.com>

	Regenerate GDK .defs.

2016-02-25  Murray Cumming  <murrayc@murrayc.com>

	.clang-format: Improvements from Kjell.

2016-02-25  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	treeview_editable_cells demo: Catch exception from std::stoi

2016-02-18  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gtk: Add some methods and properties

	* gtk/src/accellabel.hg: Add get_accel().
	* gtk/src/applicationwindow.hg: Don't _IGNORE(gtk_application_window_new).
	If it's ignored, gmmproc erroneously lists many methods as unwrapped.
	* gtk/src/gesturelongpress.hg: Add property_delay_factor().
	* gtk/src/popover.hg: Add enum PopoverConstraint and
	set/get/property_constrain_to().
	* gtk/src/settings.hg: Add reset_property() and property_gtk_titlebar_
	double_click/middle_click/right_click().
	* gtk/src/stack.hg: Add set/get/property_interpolate_size().
	* gtk/src/stackswitcher.hg: Add property_icon_size().
	* gtk/src/texttag.hg: Add tag_changed() and property_strikethrough_rgba/
	strikethrough_rgba_set/underline_rgba/underline_rgba_set/font_features/
	font_features_set().
	* gtk/src/textview.hg: Add set/get/property_top_margin() and
	set/get/property_bottom_margin().
	* tools/m4/convert_gtk.m4: Add _CONV_ENUM(Gtk,PopoverConstraint).

2016-02-18  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gdk: Add GLContext::is_legacy()

	and _IGNORE deprecated methods in GdkWindow.

2016-02-16  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gtk::Window: Deprecate parse_geometry() and set_default_geometry()

2016-02-11  Murray Cumming  <murrayc@murrayc.com>

	Added a candidate .clang-format file.

	Please try it out, like so:
	$ clang-format -i `find . -name "*.cc"`
	and then look at
	$ git diff

	This is pretty similar to our current format,
	though it fixes a few things, such as my old //commment instead of
	// comment habit.

	I'm open to changing the style. For instance:
	- having a space after if/for/while,
	- always putting method return types on their own line.
	- Putting the { on the same line.

2016-02-06  Murray Cumming  <murrayc@murrayc.com>

	Use MM_AX_CXX_COMPILE_STDCXX() instead of MM_AX_CXX_COMPILE_STDCXX_11().

	This makes it easier to try C++14 sometimes and eventually really switch
	to it.

2016-02-05  Murray Cumming  <murrayc@murrayc.com>

	C++11: Use emplace_back() instead of push_back().

2016-01-28  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gtk::Builder: Make get_widget_derived() a variadic template

	* gtk/src/builder.hg: get_widget_derived() can take extra parameters, which
	are forwarded to the constructor of the derived class.
	Inspired by a patch by Armin Burgmeier <armin@arbur.net>.
	* tests/builder/main.cc: Add a parameter to the constructor of the derived
	class. Bug #134161.

2016-01-21  Chun-wei Fan  <fanchunwei@src.gnome.org>

	Visual Studio builds: Update gdkmm project for GdkSeat

	The GdkSeat APIs are now wrapped and thus need to be built, so add them
	to the project files

2016-01-18  Murray Cumming  <murrayc@murrayc.com>

	Replace deprecated Glib::ScopedPtr with make_unique_g_free().

2016-01-12  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gdk::Seat: Add get_slaves()

	Bug #759806.

2016-01-12  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gdk::DeviceManager::get_client_pointer(): Update the deprecation message

	Bug #759806.

2016-01-11  Murray Cumming  <murrayc@murrayc.com>

	3.19.6

2016-01-07  Murray Cumming  <murrayc@murrayc.com>

	base.h: Remove unused using Glib::unconst.

2016-01-01  Philipp Lenk  <fillius@2d-rp.de>

	Gtk::TreeView: Fix a crash in get_tooltip_context_path()

	* gtk/src/treeview.ccg: Don't create a temporary TreeModel::Path object.
	Its GtkTreePath is deleted twice, if gtk_tree_view_get_tooltip_context()
	returns false. Bug #760030.

	This is equivalent to commit fdbdce42f4a4405e9709f5a206c9df96c2adb6e4,
	which fixed the same issue in IconView.

2015-12-29  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gdk::Device, DeviceManager, Display: Add and deprecate

	gdk/src/device.[hg|ccg]: Deprecate grab() and ungrab(). Add get_seat().
	gdk/src/devicemanager.hg: Deprecate list_devices() and get_client_pointer().
	gdk/src/display.[hg|ccg]: Deprecate get_device_manager(). Add list_seats(),
	get_default_seat(), signal_seat_added() and signal_seat_removed().
	Bug #759806.

2015-12-29  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Add Gdk::Seat

	.gitignore: Add seat.[h|cc].
	gdk/gdkmm.h: Add seat.h.
	gdk/src/filelist.am: Add seat.hg.
	gdk/src/gdk_extra_objects.defs: Add GdkSeat.
	gdk/src/seat.[hg|ccg]: New files.
	tools/m4/convert_gdk.m4: Add conversions for GdkSeat and GdkSeatCapabilities.
	Bug #759806.

2015-12-29  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Regenerate gdk_signals.defs

	tools/extra_defs_gen/generate_defs_gdk.cc: Add GDK_TYPE_DEVICE,
	GDK_TYPE_DEVICE_MANAGER, GDK_TYPE_SEAT.
	gdk/src/gdk_signals.defs: Regenerate.

2015-12-29  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Regenerate gdk_docs.xml

2015-12-29  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gtk::TextIter: Add starts_tag(), deprecate begins_tag()

2015-12-29  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Regenerate gtk_docs.xml

2015-12-24  Murray Cumming  <murrayc@murrayc.com>

	C++11: Use override instead of virtual.

	This ensures that the base class is really virtual.

2015-12-24  Murray Cumming  <murrayc@murrayc.com>

	C++11: demos/tests: Destructors: Use override instead of virtual.

	This ensures that the base destructor is really virtual.

2015-12-24  Murray Cumming  <murrayc@murrayc.com>

	C++11: gmmproc: GtkObject: Destructor: Use override instead of virtual keyword.

	This ensures that the base class is really virtual.

2015-12-23  Murray Cumming  <murrayc@murrayc.com>

	3.19.5

2015-12-18  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Remove #ifdefs with obsolete GLIBMM_*_ENABLED constants

	Remove remaining #ifdefs with GLIBMM_[EXCEPTIONS,PROPERTIES,VFUNCS]_ENABLED.

